Skip to main content
PATCH
Update a QC Request

Authorizations

Authorization
string
header
required

Owner-scoped bearer token. The owner a request is scoped to is derived from the token; list endpoints also take an explicit owner query parameter your token must be authorized to read.

Path Parameters

qcrID
string
required

Body

application/json
status
enum<string>

Status of the QC Request, approved or rejected

Available options:
approved,
rejected
reviewedBy
string<uuid>

User ID of the reviewing user

checklistItems
object[]
notes
string

Notes about rework for the request

Response

QC Request patched successfully

id
string<uuid>
required

Unique identifier for the QC request

createdOn
string<date-time>
required

Timestamp when the QC request was created

status
enum<string>
required
Available options:
approved,
rejected,
pending
document
object
required
checklistItems
object[]
required
review
object
reviewCompletedOn
string<date-time>

Timestamp when the QC request had its review completed

reviewStartedOn
string<date-time>

Timestamp when the QC request had its review started

reviewedBy
string

User ID that reviewed the QC request

reviewedByName
string

Full name that reviewed the QC request

reviewedByEmail
string

User email that reviewed the QC request

reviewee
string

User ID of the reviewee of QC request

revieweeName
string

Full name of the reviewee of QC request

revieweeEmail
string

User email of the reviewee of QC request

revieweeFirm
string

Firm ID of the reviewee of QC request, when a firm rather than a user is reviewed

revieweeFirmName
string

Name of the reviewee firm of QC request

actors
object[]

Every actor (user) associated with this QC request across all roles, e.g. affiant, notary, reviewee.

fileUrl
string

A URL where the file can be downloaded from

Minimum string length: 1
processName
string

Display name of the associated QC process

checklistName
string

Display name of the associated QC checklist

checklistVersion
string

Version of the checklist that was active when the review was created, if any

notes
string

Notes about rework for the request